/*
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

Legato.I18n.Message = OpenLayers.Class( {
  message: '',
  context: null,
  messageSource :null,
  initialize : function(options) {
    OpenLayers.Util.extend(this, options);
    if (!Legato.Lang.ObjectUtils.exists(this.messageSource)) {
      this.messageSource = new Legato.I18n.MessageSource();
    }
  },

  getInstance : function() {
    return this.messageSource.getMessage(this.message, this.context);
  },
  CLASS_NAME :'Legato.I18n.Message'
});

Legato.I18n.Message.Bean = Legato.Beans.Object.Extend(
    'Legato.I18n.Message',
    //
    Legato.I18n.QName('Message'),
    //
    {
      _constructor :Legato.I18n.Message,
      options : {
        message :Legato.Lang.String,
        messageSource: Legato.I18n.MessageSource.Bean,
        context: Legato.Beans.Object
      }
    });
